aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-kernel/cryptodev/sdk_patches/0058-sanity-check-on-dev-crypto-availability.patch
blob: 62733301ab084689ac16268c7ba7b78f60b974ee (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
From b04d0b7ccb9150d4f16c712a830f8a4e3bdd2d05 Mon Sep 17 00:00:00 2001
From: Cristian Stoica <cristian.stoica@nxp.com>
Date: Wed, 26 Oct 2016 09:29:36 +0300
Subject: [PATCH 058/104] sanity check on /dev/crypto availability

Signed-off-by: Cristian Stoica <cristian.stoica@nxp.com>
---
 tests/async_speed_multi.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/tests/async_speed_multi.sh b/tests/async_speed_multi.sh
index 761c0cb..94c2312 100755
--- a/tests/async_speed_multi.sh
+++ b/tests/async_speed_multi.sh
@@ -108,6 +108,8 @@ function control_c
 
 function main
 {
+	[ ! -e "/dev/crypto" ] && sudo modprobe cryptodev || modprobe cryptodev || exit 1
+
 	while getopts hm:t:n: option
 	do
 		case "$option" in
-- 
2.10.2